CKSUM(1)

NAZWA
cksum - oblicza i weryfikuje sumy kontrolne

SKŁADNIA
cksum [OPCJA]... [PLIK]...

OPIS

Wypisanie lub zweryfikowanie sum kontrolnych. Domyślnie używany jest 32-bitowy algorytm CRC.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --algorithm=TYP
    wybranie funkcji skrótu. Zob. SKRÓT poniżej

--base64
    tworzy skróty kodowane za pomocą base64, nie szesnastkowo

-c, --check
    sprawdzanie sum zapisanych w PLIKACH

-l, --length=BITY
    długość skrótu w bitach; nie może przekroczyć rozmiaru maksymalnego i musi być wielokrotnością 8 w przypadku blake2b; musi wynosić 224, 256, 384 lub 512 przy sha2 lub sha3

--raw
    tworzy surowe skróty binarne, nie szesnastkowe

--tag
    wypisanie sumy kontrolnej w stylu BSD (domyślnie)

--untagged
    wypisanie sumy kontrolnej w sposób odwrotny, bez typu

-z, --zero
    zakończenie każdej linii na wyjściu znakiem NUL, a nie znakiem nowej linii i wyłączenie interpretacji znaków modyfikacji

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--debug
    informacja o użytej implementacji

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  SKRÓT określa funkcję skrótu i domyślny format wyjściowy:

sysv
    (równoważny sum -s)

bsd (równoważny sum -r)

crc (równoważny cksum)

crc32b
    (dostępny tylko przez cksum)

md5 (równoważny md5sum)

sha1
    (równoważny sha1sum)

sha2
    (równoważny sha{224,256,384,512}sum)

sha3
    (dostępny tylko przez cksum)

blake2b
    (równoważny b2sum)

sm3 (dostępny tylko przez cksum)

Przy sprawdzaniu dane wejściowe powinny być danymi z wyjścia tego programu lub odpowiednika.

AUTOR
Napisane przez Padraig Brady i Q. Frank Xia.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/cksum>
lub lokalnie, za pomocą info 'coreutils) cksum invocation'

Spakietowane przez Debiana (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.